## resiprocate 1.11.0~beta5

=== contrib/cajun/Makefile ===
EXE_NAME = ./test.out

$(EXE_NAME): test.cpp
	g++ -Iinclude -o $@ $^

clean:
	-rm $(EXE_NAME)

=== contrib/opensigcomp/Makefile ===
VERSION := pre-0.9.6
BUILD_DIR := build
include   $(BUILD_DIR)/Makefile.common

all:
	$(MAKE) -C tools
	$(MAKE) -C src

clean:
	$(MAKE) -C src clean
	$(MAKE) -C tools clean
	$(RM) doc/doxygen/html/*
	$(RM) -r doc/doxygen/rtf
	$(RM) doc/doxygen-warnlog.txt
	$(RM) doc/doxygen/osc-dox-html*.tar.gz

distclean: clean
	$(RM) $(BUILD_DIR)/Makefile.conf

install:
	$(MAKE) -C src install

.PHONY: docs tarball release

docs:
	-@doxygen
	-@cp doc/doxygen/doxygen.css doc/doxygen/html
	-@(cd doc/doxygen; ln -s html doxygen; tar hzcf osc-dox-html-$(VERSION).tar.gz doxygen; rm doxygen)


###########################################################################
# Tarfile related stuff follows

ifneq ($(filter %tarball, $(MAKECMDGOALS)),)
VERSION := $(VERSION)-svn$(shell svnversion .)-$(shell date +%Y%m%d)
endif

VERSION := $(subst :,_,$(VERSION))

DISTFILES := CHANGES COPYING README Doxyfile LICENSE Makefile \
             src tools doc/images doc/doxygen visual-studio configure build
DISTFILES += $(wildcard doc/standards/*.txt)
DISTFILES := $(foreach x, $(DISTFILES), opensigcomp-$(VERSION)/$x)

EXCLUDE := $(shell find * -name .svn)
EXCLUDE := $(foreach x, $(EXCLUDE), --exclude opensigcomp-$(VERSION)/$x)

tarball: distclean
	@echo Making tarball for version $(VERSION)
	@ln -s . opensigcomp-$(VERSION)
	-@tar zcvf osc-$(VERSION).tar.gz $(EXCLUDE) $(DISTFILES)
	@$(RM) opensigcomp-$(VERSION)

release: tarball

show.%:
	@echo $*=$($*)

=== contrib/pcre/Makefile ===
CC = cl
CFLAGS = /nologo /G6 /MT /GX /DSUPPORT_UTF8 /DPOSIX_MALLOC_THRESHOLD=10

all: pcre.lib pcreposix.lib pcretest.obj
        link /nologo /out:pcretest.exe pcretest.obj pcre.lib pcreposix.lib

dll: chartables.c maketables.obj get.obj study.obj pcre.obj pcreposix.obj
        link /nologo /DLL /def:pcre.def /out:pcre.dll /implib:pcre.lib maketables.obj get.obj study.obj pcre.obj pcreposix.obj

pcre.lib: chartables.c maketables.obj get.obj study.obj pcre.obj
        lib /nologo /out:pcre.lib maketables.obj get.obj study.obj pcre.obj

pcreposix.lib: pcreposix.obj
        lib /nologo /out:pcreposix.lib pcreposix.obj

chartables.c: dftables.exe
        dftables.exe chartables.c

dftables.exe:
        $(CC) $(CFLAGS) dftables.c

.c.obj:
        $(CC) /c $(CFLAGS) /Tp$< /Fo$@

clean:
        del *.obj
        del *.exe
        del *.lib
        del *.exp
        del *.dll

##############################################################################
# 
# The Vovida Software License, Version 1.0 
# Copyright (c) 2000-2007 Vovida Networks, Inc.  All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The names "VOCAL", "Vovida Open Communication Application Library",
#    and "Vovida Open Communication Application Library (VOCAL)" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact vocal@vovida.org.
# 
# 4. Products derived from this software may not be called "VOCAL", nor
#    may "VOCAL" appear in their name, without prior written
#    permission of Vovida Networks, Inc.
# 
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
# NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
# IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
# 
# ====================================================================
# 
# This software consists of voluntary contributions made by Vovida
# Networks, Inc. and many individuals on behalf of Vovida Networks,
# Inc.  For more information on Vovida Networks, Inc., please see
# <http://www.vovida.org/>.
# 
##############################################################################

=== deprecated/gag/Makefile ===
#LIBSIP = ../resiprocate/.libs/libresiprocate.a
LIBSIP = ../build/resiprocate/libresiprocate.a
LIBARES = ../contrib/ares/libares.a
GETOPT = ../contrib/getopt/getopt.o
CFLAGS = -I .. -g
LDFLAGS = -static -lssl -lcrypto -lpthread

all: gag

gag: gag.o GagMessage.o GagConduit.o $(LIBSIP) $(LIBARES) $(GETOPT)
	$(CXX) -o $@ $^ $(LDFLAGS)

%.o: %.cxx
	$(CXX) -c $(CFLAGS) -o $@ $<

show.%:
	@echo $*=$($*)

clean:
	$(RM) *.o gag .*.d

# This is very crude
install: gag
	cp $^ /usr/local/bin

# Fast and sloppy dependencies
DEPS := $(patsubst %.cxx, .%.d, $(wildcard *.cxx))
-include $(DEPS)
.%.d: %.cxx
	@echo Generating dependencies for $*.o
	@$(CPP) $(CFLAGS) -MM $< -MT $*.o -MT .$*.d > $@


##############################################################################
# 
# The Vovida Software License, Version 1.0 
# Copyright (c) 2000-2007 Vovida Networks, Inc.  All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The names "VOCAL", "Vovida Open Communication Application Library",
#    and "Vovida Open Communication Application Library (VOCAL)" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact vocal@vovida.org.
# 
# 4. Products derived from this software may not be called "VOCAL", nor
#    may "VOCAL" appear in their name, without prior written
#    permission of Vovida Networks, Inc.
# 
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
# NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
# IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
# 
# ====================================================================
# 
# This software consists of voluntary contributions made by Vovida
# Networks, Inc. and many individuals on behalf of Vovida Networks,
# Inc.  For more information on Vovida Networks, Inc., please see
# <http://www.vovida.org/>.
# 
##############################################################################

=== deprecated/stateless-proxy/Makefile ===
BUILD = ../build
include $(BUILD)/Makefile.pre

PACKAGES += RESIPROCATE OPENSSL PTHREAD ARES

SRC = StatelessProxy.cxx 
TARGET_LIBRARY = libstateless
TESTPROGRAMS =	stateless-proxy.cxx 


include $(BUILD)/Makefile.post

##############################################################################
# 
# The Vovida Software License, Version 1.0 
# Copyright (c) 2000-2007 Vovida Networks, Inc.  All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The names "VOCAL", "Vovida Open Communication Application Library",
#    and "Vovida Open Communication Application Library (VOCAL)" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact vocal@vovida.org.
# 
# 4. Products derived from this software may not be called "VOCAL", nor
#    may "VOCAL" appear in their name, without prior written
#    permission of Vovida Networks, Inc.
# 
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
# NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
# IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
# 
# ====================================================================
# 
# This software consists of voluntary contributions made by Vovida
# Networks, Inc. and many individuals on behalf of Vovida Networks,
# Inc.  For more information on Vovida Networks, Inc., please see
# <http://www.vovida.org/>.
# 
##############################################################################

=== p2p/s2c/Makefile ===
# nrappkit is Network Resonance's application development kit.
# See http://nrappkit.sourceforge.net

NRAPPKIT_SRC = /users/ekr/src/nrappkit/src/
NRAPPKIT_MAKE=$(NRAPPKIT_SRC)make/freebsd

#NRAPPKIT_SRC = /Users/ekr/src/nrappkit/src/
#NRAPPKIT_MAKE=$(NRAPPKIT_SRC)make/darwin


RESIPROCATE_SRCDIR=/users/ekr/src/resiprocate/main/
RESIPROCATE_PLATFORM=FreeBSD.i386
RESIPROCATE_DEBUG=debug.

YFLAGS	= -dv
CFLAGS	= -g -DYYDEBUG=0 -I$(NRAPPKIT_MAKE) -I$(NRAPPKIT_SRC)util/libekr
CFLAGS += -DHAVE_STRDUP
LDFLAGS	= -L$(NRAPPKIT_MAKE) -lnrappkit


SRC	= gram.y scan.l 
OBJ	= gram.o scan.o gen.o

s2c:	main.o $(OBJ)
	cc $(CFLAGS) -g -o $@ main.o $(OBJ) $(LDFLAGS)

test:   test_driver.o test.o s2c_native.o 
	cc $(CFLAGS) -g -o $@ test_driver.o test.o s2c_native.o $(LDFLAGS)

$(OBJ): y.tab.h

y.tab.h: gram.c gram.y

scan.c  : y.tab.h
scan.o	: y.tab.h

clean	:
	rm -f y.tab.h y.output *.o clic gram.c

=== p2p/test/Makefile ===
BUILD := ../../build
include $(BUILD)/Makefile.pre

CXXFLAGS += -I../../ -g
 
PACKAGES += RUTIL OPENSSL PTHREAD S2C P2P 
LIBNAMES += readline popt

TESTPROGRAMS = testCon.cxx



include $(BUILD)/Makefile.post


#======================================================================
#  Copyright (c) 2008, Various contributors to the Resiprocate project
#  All rights reserved.
#  
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#      - Redistributions of source code must retain the above copyright
#        notice, this list of conditions and the following disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
#      - The names of the project's contributors may not be used to
#        endorse or promote products derived from this software without
#        specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
#  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
#  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
#  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
#  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
#  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
#  THE POSSIBILITY OF SUCH DAMAGE.
#======================================================================

=== contrib/opensigcomp/src/Makefile ===
all: libopensigcomp.a test

BUILD_DIR   := ../build
include $(BUILD_DIR)/Makefile.common

#CPPFLAGS += -DLEAK_DEBUG

GENERATED_HEADERS := DeflateBytecodes.h
GENERATED_SOURCES := DeflateBytecodes.cpp

SRC := $(wildcard *.cpp) $(GENERATED_SOURCES)
DEPS := $(patsubst %.cpp, .%.d, $(SRC))
OBJS := $(patsubst %.cpp, %.o, $(SRC))
ASMS := $(patsubst %.cpp, %.s, $(SRC))

libopensigcomp.a: $(OBJS)
	$(AR) r $@ $^

ifneq ($(MAKECMDGOALS),clean)
  -include $(DEPS)
endif

.%.d: %.cpp
	@echo Generating dependencies for $*.o
	@$(CPP) $(CPPFLAGS) -MM $< -MT $*.o -MT .$*.d > $@

%.s: %.cpp
	$(CXX) $(CPPFLAGS) -fverbose-asm -S $<

%.udo: %.asm ../tools/udvm_asm.pl
	@$(PERL) ../tools/udvm_asm.pl $< $@ $*.sym

%Bytecodes.h %Bytecodes.cpp: %.udo ../tools/bytecodes2class.pl
	@$(PERL) ../tools/bytecodes2class.pl $< $*Bytecodes $*.sym
	

.PHONY: clean test size symsize externals asm

clean:
	$(RM) *.a *.o .*.d *.udo *.sym *.s \
		$(GENERATED_SOURCES) $(GENERATED_HEADERS)
	$(MAKE) -C test clean

test: libopensigcomp.a
	$(MAKE) BUILD=$(BUILD) -C test

size: $(OBJS)
	@mkdir tmpsize
	@cp $^ tmpsize
	@cd tmpsize; strip *; du -b * . | sort -n
	@rm -Rf tmpsize

symsize: $(OBJS)
	nm --size-sort -B -td *.o | sort -un | c++filt

externals: libopensigcomp.a
	nm $< | c++filt | grep ' U ' | grep -v 'osc::' | sort -u

asm: $(ASMS)

show.%:
	@echo $*=$($*)

###########################################################################
# Library and header installation

EXTERNAL_HEADERS := \
        BitBuffer.h \
        Buffer.h \
        CompartmentMap.h \
        Compressor.h \
        DeflateCompressor.h \
        Libc.h \
        NackCodes.h \
        ReadWriteLockable.h \
        SigcompMessage.h \
        Stack.h \
        StateChanges.h \
        StateHandler.h \
        StateMap.h \
        TcpStream.h \
        Types.h \
        Udvm.h 

install: libopensigcomp.a $(EXTERNAL_HEADERS)
	$(MKDIR) $(INSTALL_LIB)
	$(COPY) libopensigcomp.a $(INSTALL_LIB)
	$(MKDIR) $(INSTALL_INC)
	$(COPY) $(EXTERNAL_HEADERS) $(INSTALL_INC)

=== contrib/opensigcomp/tools/Makefile ===
all: asm_syntax.gif udvm_dasm test

BUILD_DIR   := ../build
include $(BUILD_DIR)/Makefile.common

CPPFLAGS += -I../src

ifeq ($(POSIX_LOCKING),yes)
  LDFLAGS += -lpthread
endif

ifeq ($(OPENSSL_SHA1),yes)
  LDFLAGS += -lcrypto
endif

SRC := $(wildcard *.cpp)
DEPS := $(patsubst %.cpp, .%.d, $(SRC))

ifneq ($(MAKECMDGOALS),clean)
  -include $(DEPS)
endif

%.svg: %.dot
	-dot -Tsvg $< -o $@

%.gif: %.dot
	-dot -Tgif $< -o $@

udvm_dasm: udvm_dasm.o Disassembler.o ../src/libopensigcomp.a
	$(CXX) -o $@ $^ $(LDFLAGS)

LIBFILES = $(wildcard ../src/*.cpp) $(wildcard ../src/*.h)
../src/libopensigcomp.a: $(LIBFILES)
	$(MAKE) -C ../src libopensigcomp.a

.%.d: %.cpp
	@echo Generating dependencies for $*.o
	@$(CPP) $(CPPFLAGS) -MM $< -MT $*.o -MT .$*.d > $@

.PHONY: clean test

test:
	$(MAKE) -C test

show.%:
	@echo $*=$($*)

clean:
	$(RM) asm_syntax.gif udvm_dasm *.o .*.d *.exe
	$(MAKE) -C test clean

=== reflow/dtls_wrapper/test/Makefile ===
# $Id: Makefile,v 1.144 2004/05/18 01:40:48 jason Exp $

BUILD = ../../../build
include $(BUILD)/Makefile.pre

PACKAGES += REFLOW RUTIL OPENSSL PTHREAD SRTP ARES
CXXFLAGS += -I../

SRC = CreateCert.cxx \
      TestDtlsUdp.cxx \
      TestTimerContext.cxx

TESTPROGRAMS = \
      testDtlsWrapper.cxx \
      testDtlsClient.cxx \
      testDtlsServer.cxx 

include $(BUILD)/Makefile.post


####################################################################
#
# Copyright (c) 2007-2008, Plantronics, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are 
# met:
#
# 1. Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer. 
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution. 
#
# 3. Neither the name of Plantronics nor the names of its contributors 
#    may be used to endorse or promote products derived from this 
#    software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
####################################################################

=== contrib/Netxx-0.3.2/docs/doxygen/Makefile ===
PROJECT_NAME=netxx
PROJECT_PATH=${PWD}/../../
DOXYGEN_DIR=docs/doxygen

.include "${HOME}/develop/project-xslt/etc/doxygen.mk"

##############################################################################
# 
# The Vovida Software License, Version 1.0 
# Copyright (c) 2000-2007 Vovida Networks, Inc.  All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The names "VOCAL", "Vovida Open Communication Application Library",
#    and "Vovida Open Communication Application Library (VOCAL)" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact vocal@vovida.org.
# 
# 4. Products derived from this software may not be called "VOCAL", nor
#    may "VOCAL" appear in their name, without prior written
#    permission of Vovida Networks, Inc.
# 
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
# NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
# IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
# 
# ====================================================================
# 
# This software consists of voluntary contributions made by Vovida
# Networks, Inc. and many individuals on behalf of Vovida Networks,
# Inc.  For more information on Vovida Networks, Inc., please see
# <http://www.vovida.org/>.
# 
##############################################################################

=== contrib/Netxx-0.3.2/docs/manual/Makefile ===
#####################################################################
#
INPUT_FILE=		manual.xml
OTHER_INPUT=		readme.xml bugs.xml changelog.xml credits.xml todo.xml get_started.xml
#
#####################################################################

ONE_HTML_DIR=		one-html
SEP_HTML_DIR=		sep-html
POSTSCRIPT_DIR=		postscript
ONE_HTML_OUT=		${ONE_HTML_DIR}/${INPUT_FILE:.xml=.html}

.if defined(FREEBSDDOC)
SEP_HTML_OUT=		${SEP_HTML_DIR}/index.html
.else
SEP_HTML_OUT=		${SEP_HTML_DIR}/book1.htm
.endif

POSTSCRIPT_OUT=		${POSTSCRIPT_DIR}/${INPUT_FILE:.xml=.ps}
PDF_OUT=		${POSTSCRIPT_DIR}/${INPUT_FILE:.xml=.pdf}

PREFIX?=		/usr/local
JADE=			${PREFIX}/bin/openjade

.if defined(FREEBSDDOC)
CATALOGS+=		-c ${FREEBSDDOC}/share/sgml/catalog
.endif

.if ${OSTYPE} == linux
CATALOGS+=		-c ${PREFIX}/share/sgml/docbook/dsssl/modular/catalog
CATALOGS+=		-c ${PREFIX}/share/sgml/sgml-iso-entities-8879.1986/catalog
CATALOGS+=		-c ${PREFIX}/share/sgml/openjade/catalog
.else
CATALOGS+=		-c ${PREFIX}/share/sgml/docbook/dsssl/modular/catalog
CATALOGS+=		-c ${PREFIX}/share/sgml/iso8879/catalog
CATALOGS+=		-c ${PREFIX}/share/sgml/docbook/4.1/catalog
CATALOGS+=		-c ${PREFIX}/share/sgml/openjade/catalog
.endif

JADE_FLAGS=		${CATALOGS}

.if defined(FREEBSDDOC)
DSL_HTML=		${FREEBSDDOC}/share/sgml/default.dsl
DSL_PRINT=		${FREEBSDDOC}/share/sgml/default.dsl
HTMLFLAGS=		-ioutput.html
PRINTFLAGS=		-ioutput.print -ioutput.print.justify -V %two-side% -ioutput.print.twoside
PRINTFLAGS+=		-ioutput.print.niceheaders -V minimal-section-labels
TEXCMDS=		\RequirePackage{url}
TEXCMDS+=		\def\PageTwoSide{1}
.else
DSL_HTML=		${PREFIX}/share/sgml/docbook/dsssl/modular/html/docbook.dsl
DSL_PRINT=		${PREFIX}/share/sgml/docbook/dsssl/modular/print/docbook.dsl
HTMLFLAGS=		
PRINTFLAGS=		
TEXCMDS=
.endif

TIDY=			${PREFIX}/bin/tidy -i -m -raw -preserve -f /dev/null
TEX=			${PREFIX}/bin/tex
DVIPS=			${PREFIX}/bin/dvips
PDFTEX=			${PREFIX}/bin/pdftex

all: ${ONE_HTML_OUT} ${SEP_HTML_OUT} ${POSTSCRIPT_OUT} ${PDF_OUT}
html: ${ONE_HTML_OUT} ${SEP_HTML_OUT}
ps: ${POSTSCRIPT_OUT}
pdf: ${PDF_OUT}

${ONE_HTML_OUT}: ${INPUT_FILE} ${OTHER_INPUT}
	mkdir -p ${ONE_HTML_DIR}
	cp ${INPUT_FILE} ${OTHER_INPUT} ${ONE_HTML_DIR}
	(\
		cd ${ONE_HTML_DIR}; \
		${JADE} ${JADE_FLAGS} -V nochunks ${HTMLFLAGS} -d ${DSL_HTML} -t sgml ${INPUT_FILE} > ${INPUT_FILE:.xml=.html}; \
		rm ${INPUT_FILE} ${OTHER_INPUT}; \
	)
	-${TIDY} ${ONE_HTML_OUT}
	if test -r ${FREEBSDDOC}/share/misc/docbook.css -a ! -r docbook.css ; then \
		cp ${FREEBSDDOC}/share/misc/docbook.css ${ONE_HTML_DIR}; \
	fi
	if test -r docbook.css ; then \
		cp docbook.css ${ONE_HTML_DIR}; \
	fi

${SEP_HTML_OUT}: ${INPUT_FILE} ${OTHER_INPUT}
	mkdir -p ${SEP_HTML_DIR}
	cp ${INPUT_FILE} ${OTHER_INPUT} ${SEP_HTML_DIR}
	(\
		cd ${SEP_HTML_DIR}; \
		${JADE} ${JADE_FLAGS} ${HTMLFLAGS} -d ${DSL_HTML} -t sgml ${INPUT_FILE}; \
		rm ${INPUT_FILE} ${OTHER_INPUT}; \
	)
	for file in `ls ${SEP_HTML_DIR}/*.htm?`; do \
		${TIDY} $$file || echo -n; \
	done
	if test -r ${FREEBSDDOC}/share/misc/docbook.css -a ! -r docbook.css ; then \
		cp ${FREEBSDDOC}/share/misc/docbook.css ${SEP_HTML_DIR}; \
	fi
	if test -r docbook.css ; then \
		cp docbook.css ${SEP_HTML_DIR}; \
	fi

${POSTSCRIPT_OUT}: ${INPUT_FILE} ${OTHER_INPUT}
	mkdir -p ${POSTSCRIPT_DIR}
	cp ${INPUT_FILE} ${OTHER_INPUT} ${POSTSCRIPT_DIR}
	(\
		cd ${POSTSCRIPT_DIR}; \
		${JADE} ${JADE_FLAGS} -Vtex-backend ${PRINTFLAGS} -d ${DSL_PRINT} -t tex ${INPUT_FILE}; \
		rm ${INPUT_FILE} ${OTHER_INPUT}; \
		${TEX} "&jadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
		${TEX} "&jadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
		${TEX} "&jadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
		${DVIPS} -o ${INPUT_FILE:.xml=.ps} ${INPUT_FILE:.xml=.dvi}; \
	)

${PDF_OUT}: ${POSTSCRIPT_OUT} ${INPUT_FILE} ${OTHER_INPUT}
	(\
		cd ${POSTSCRIPT_DIR}; \
		${PDFTEX} "&pdfjadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
		${PDFTEX} "&pdfjadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
		${PDFTEX} "&pdfjadetex" '${TEXCMDS} \nonstopmode\input{${INPUT_FILE:.xml=.tex}}' ${INPUT_FILE:.xml=.tex}; \
	)

clean:
	rm -rf ${ONE_HTML_DIR} ${SEP_HTML_DIR} ${POSTSCRIPT_DIR}

INSTALL_DIR=${HOME}/htdocs/pjones/software/netxx/download/documentation/manual

install: all
	mkdir -p ${INSTALL_DIR}
	cp -p ${PDF_OUT} ${INSTALL_DIR}/
	cp -p ${ONE_HTML_OUT} ${INSTALL_DIR}/
	if [ -r ${ONE_HTML_DIR}/docbook.css ] ; then \
		cp -p ${ONE_HTML_DIR}/docbook.css ${INSTALL_DIR}/; \
	fi
	cp -pr ${SEP_HTML_DIR} ${INSTALL_DIR}/

=== debian/changelog ===
resiprocate (1:1.11.0~beta5-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 29 Jun 2017 10:43:00 +0200

resiprocate (1:1.11.0~beta4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 28 Jun 2017 17:00:32 +0200

=== debian/control ===
Source: resiprocate
Section: libs
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev, libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl1.0-dev (>= 1.0.0) | libssl-dev (<< 1.1), perl, default-libmysqlclient-dev, libpq-dev, libradcli-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev (>= 3.3.0~test15) [linux-any], libsrtp-dev [linux-any], libcajun-dev, python-cxx-dev, dh-autoreconf, pkg-config, libtelepathy-qt5-dev (>= 0.9.6.1), libgloox-dev (>= 1.0.17), vim-common, libqpid-proton-cpp-dev
Homepage: http://www.resiprocate.org/
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-voip/resiprocate.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/resiprocate.git

Package: libresiprocate-1.11
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate SIP stack - shared libraries
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides the core libraries: librutil (utilities),
 libresip (SIP stack/RFC compliant message parsing) and
 libdum (SIP Dialog Usage Manager, a state machine for SIP dialogs).

Package: libresiprocate-1.11-dev
Section: libdevel
Architecture: any
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libc-ares-dev, libssl1.0-dev | libssl-dev (<< 1.1), libradcli-dev
Provides: libresiprocate-dev
Conflicts: libresiprocate-dev, libresiprocate-1.8-dev
Replaces: libresiprocate-dev, libresiprocate-1.8-dev, repro (<< 1:1.11.0~beta1-2)
Breaks: repro (<< 1:1.11.0~beta1-2)
Description: reSIProcate SIP stack - development files
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides header files needed for developing applications
 based on the core reSIProcate libraries.

Package: librecon-1.11
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsipxtapi (>= 3.3.0~test15)
Description: reSIProcate conversation manager - shared libraries
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides the conversation manager library, librecon,
 implementing the core functionality of a back-to-back user agent (B2BUA),
 session border controller (SBC) and conferencing server.
 .
 As reSIProcate has no built-in media framework, this package depends on the
 media framework from the sipXtapi project.  However, it does not utilise
 any other features of sipXtapi for the session control.  Future versions of
 recon aim to support multiple media frameworks using an abstraction layer.
 
Package: librecon-1.11-dev
Section: libdevel
Depends: librecon-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.11-dev (= ${binary:Version}), libresiprocate-turn-client-1.11-dev (= ${binary:Version}), libsipxtapi-dev, libsrtp-dev
Architecture: linux-any
Provides: librecon-dev
Conflicts: librecon-dev, librecon-1.8-dev
Replaces: librecon-dev, librecon-1.8-dev
Description: reSIProcate conversation manager - development files
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides header files needed for developing applications
 based on librecon.

Package: libresiprocate-turn-client-1.11
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate TURN client (reTurn) - shared libraries
 reTurn is the TURN component of the reSIProcate project.
 This package provides a shared library implementing the TURN
 protocol for NAT traversal, typically used in VoIP applications
 such as SIP and Jabber/XMPP.  It is a successor to STUN and
 is an important part of the Interactive Connectivity Establishment (ICE)
 protocol.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: libresiprocate-turn-client-1.11-dev
Section: libdevel
Architecture: any
Depends: libresiprocate-turn-client-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.11-dev (= ${binary:Version}), libasio-dev (>= 1.2.0), libboost-dev
Provides: libresiprocate-turn-client-dev
Conflicts: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
Replaces: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
Description: reSIProcate TURN client (reTurn) - development files
 This package provides header files needed for developing applications
 based on the reSIProcate reTurn client library.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: repro
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser, openssl, lsb-base
Recommends: apache2-utils, turn-server | stun-server
Suggests: jscommunicator-web-phone
Provides: sip-router
Description: reSIProcate SIP stack - lightweight SIP proxy daemon
 repro is the SIP proxy developed as part of the reSIProcate project.
 It provides a high-quality, low maintenance solution for serving
 small and large IP telephony installations.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: resiprocate-turn-server
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser, openssl, lsb-base
Suggests: sip-router, xmpp-server, jscommunicator-web-phone
Provides: stun-server, turn-server
Description: reSIProcate SIP stack - ICE/TURN server
 reTurn is the TURN server developed as part of the reSIProcate project.
 TURN (RFC 5766) provides a standardised solution for VoIP applications
 to find the most efficient way to route media streams when NAT and
 firewall devices may be present.
 .
 reTurn provides a high-quality, low maintenance solution for serving
 small and large IP telephony installations.  It has been used successfully
 with a variety of SIP and Jabber applications, including Lumicall,
 Jitsi, Empathy and Psi.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: resiprocate-turn-server-psql
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, resiprocate-turn-server, python, python-psycopg2
Description: reSIProcate SIP stack - ICE/TURN server
 reTurn is the TURN server developed as part of the reSIProcate project.
 TURN (RFC 5766) provides a standardised solution for VoIP applications
 to find the most efficient way to route media streams when NAT and
 firewall devices may be present.
 .
 reTurn provides a high-quality, low maintenance solution for serving
 small and large IP telephony installations.  It has been used successfully
 with a variety of SIP and Jabber applications, including Lumicall,
 Jitsi, Empathy and Psi.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides a Python script to synchronize the reTurn
 users.txt file from a PostgreSQL table.

Package: sipdialer
Section: net
Architecture: any
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate SIP stack - click-to-call utility
 sipdialer is a click-to-call application that uses the SIP REFER
 method to force a SIP phone (for example, the phone on your desk)
 to dial another number.  It can be registered in GConf to handle
 clicks on sip:, sips: and tel: URIs in other applications and the
 web browser.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: telepathy-resiprocate
Section: net
Architecture: any
Depends: libresiprocate-1.11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SIP Connection Manager for Telepathy Framework
 Connection Manager providing support for SIP using all the features
 supported by the reSIProcate stack, including TLS, IPv6 and TURN for
 NAT traversal.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

export QT_SELECT = 5
QT_LIB_PREFIX = /usr/include/qt${QT_SELECT}
QT_LIBS = -I${QT_LIB_PREFIX}
QT_LIBS += -I${QT_LIB_PREFIX}/QtCore
QT_LIBS += -I${QT_LIB_PREFIX}/QtNetwork
QT_LIBS += -I${QT_LIB_PREFIX}/QtDBus

#CPPFLAGS += -DRESIP_FIXED_POINT
# this is just temporary, reSIProcate 1.9.x should not need this:
CPPFLAGS += -I/usr/include/sipxtapi
# these are also temporary, should be implemented in reSIProcate's build system, for sipXtapi
# with librecon:
CPPFLAGS += -D__pingtel_on_posix__ -D_linux_ -D_REENTRANT -D_FILE_OFFS
CPPFLAGS += -DDEFAULT_BRIDGE_MAX_IN_OUTPUTS=20
CPPFLAGS += -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS
CPPFLAGS += ${QT_LIBS}
CPPFLAGS += -I/usr/include/telepathy-qt${QT_SELECT}
CXXFLAGS += -fpermissive
CXXFLAGS += -I/usr/include/postgresql
LDFLAGS += -lcares

CFG_ARGS := --with-ssl \
		--with-popt \
		--with-mysql \
		--with-postgresql \
		--with-apps \
		--enable-ipv6 \
		--enable-dtls \
		--with-radcli \
		--with-repro \
		--enable-repro-plugins \
		--with-python \
		--with-c-ares \
		--with-qpid-proton \
		--enable-assert-syslog

# on kfreebsd, sipxtapi is not available and recon can't be built
# upstream hopes to eliminate the dependency on sipxtapi in a future release
# so there is no attempt to port sipxtapi
# on sparc, libsrtp is not available (fails with a bus error during test cases)
ifeq ($(DEB_HOST_ARCH_OS),linux)
CFG_ARGS += --with-recon
CFG_ARGS += --with-telepathy
endif

PYVERSION=2.7

override_dh_auto_configure:
	dh_auto_configure -- $(CFG_ARGS) DEPS_PYTHON_CFLAGS="`/usr/bin/python$(PYVERSION)-config --cflags`" DEPS_PYTHON_LIBS="`/usr/bin/python$(PYVERSION)-config --ldflags`" PYCXX_SRCDIR=/usr/share/python$(PYVERSION)/CXX/Python2
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# this is due to a problem with the test case rather than the stack itself
# upstream is investigating
	sed -i -e 's/assert.!failedToReceiveGoodMessage);//' resip/stack/test/testTcp.cxx
endif

override_dh_auto_build:
	dh_auto_build --parallel

# let the test cases run
#override_dh_auto_test:
#	true

# force building in the pkgroot or it won't build
%:
	dh $@ --with autoreconf --builddirectory=.

#install/repro::
#	cp debian/repro.config-sample debian/repro/etc/repro/repro.config

#install/resiprocate-turn-server::
#	cp debian/reTurnServer.config-sample debian/resiprocate-turn-server/etc/reTurnServer.config
